---
updatedAt: 2025-12-30T10:24:09.000Z
agentTools:
  projectIndex: https://developers.livestorm.co/llms.txt
---

# List event sessions

List all the sessions of an event.

> 📘 This endpoint requires the `events:read` or `events:write` scopes.

<HTMLBlock>{`
<style>
  /* open all API sections in the page */
  .subpages { display: block!important; }
</style>
`}</HTMLBlock>

This endpoint can be used to list down all past and future Sessions of a given Event. Here are the filters that can be used:

### filter\[status]

You can filter the event's sessions by their status, which can be one of these items

* `upcoming`: all upcoming sessions for this event
* `live`: all live sessions
* `on_demand`: all ongoing on-demand sessions
* `past`: all past sessions, e.g those which already took place
* `past_not_started`: all past sessions which never started
* `canceled`: all canceled sessions
* `draft`: all draft sessions

### filter\[date\_from] and filter\[date\_from]

These two filters can be used to only select sessions' which `estimated_started_at` attribute started before or after the specified date. The chosen date can either be a UNIX timestamp or an ISO-8601 date.

### include

Finally, you can choose to add related children objects to the returned payload, including the actual Event and the list of People of each session.

> ❗️ Warning on 'include' statements
>
> Be cautious about the `include` statement. If you include the people related to each session, the returned payload can be quite large, thus leading to high response times from the API, and might even time out if there are too many participants!
>
> → If you need to fetch the full list of participants for large events, please use the [GET /sessions/\{id}/people](https://developers.livestorm.co/reference/get_sessions-id-people) endpoint instead, which is paginated.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Livestorm - Public API",
    "description": "Welcome to Livestorm's Public API documentation.\nThe Livestorm API is organized around REST principles.\nIn addition, all request and response bodies, including errors, are encoded in JSON format.\n",
    "termsOfService": "https://livestorm.co/terms/",
    "contact": {
      "name": "Contact",
      "url": "https://support.livestorm.co",
      "email": "help@livestorm.co"
    },
    "version": "1"
  },
  "servers": [
    {
      "url": "https://{defaultHost}",
      "variables": {
        "defaultHost": {
          "default": "api.livestorm.co/v1"
        }
      }
    }
  ],
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header"
      },
      "oauth2": {
        "type": "oauth2",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "/oauth/authorize",
            "tokenUrl": "/oauth/token",
            "scopes": {
              "full:read": "Grants read access",
              "full:write": "Grants write access"
            }
          }
        }
      }
    },
    "schemas": {
      "BaseResponse": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "ID"
          },
          "type": {
            "type": "string",
            "description": "Type"
          }
        }
      },
      "Meta": {
        "type": "object",
        "properties": {
          "record_count": {
            "type": "integer",
            "description": "Total Record Count"
          },
          "page_count": {
            "type": "integer",
            "description": "Page Count"
          },
          "items_per_page": {
            "type": "integer",
            "description": "Items per page"
          }
        }
      }
    }
  },
  "tags": [
    {
      "name": "Events"
    }
  ],
  "paths": {
    "/events/{id}/sessions": {
      "get": {
        "summary": "List event sessions",
        "tags": [
          "Events"
        ],
        "description": "List all the sessions of an event.",
        "security": [
          {
            "api_key": []
          },
          {
            "oauth2": []
          }
        ],
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "schema": {
              "type": "string"
            },
            "description": "Event ID",
            "required": true
          },
          {
            "name": "page[number]",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Page index to be returned",
            "required": false
          },
          {
            "name": "page[size]",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Number of record to be returned by page",
            "required": false
          },
          {
            "name": "filter[status]",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Filter Sessions by status : 'upcoming', 'live', 'on_demand', 'past', 'past_not_started', 'canceled', 'draft'",
            "required": false
          },
          {
            "name": "filter[date_from]",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Filter Sessions which ‘estimated_started_at’ attribute starts from the given date (expressed as a Unix timestamp or an ISO 8601 date).",
            "required": false
          },
          {
            "name": "filter[date_to]",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Filter Sessions which ‘estimated_started_at’ attribute ends with the given date (expressed as a Unix timestamp or an ISO 8601 date).",
            "required": false
          },
          {
            "name": "filter[created_since]",
            "in": "query",
            "description": "Filter Sessions which ‘created_at’ attribute starts from the given date (expressed as a Unix timestamp or an ISO 8601 date).",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "filter[created_until]",
            "in": "query",
            "description": "Filter Sessions which ‘created_at’ attribute ends with the given date (expressed as a Unix timestamp or an ISO 8601 date).",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "filter[updated_since]",
            "in": "query",
            "description": "Filter Sessions which ‘updated_at’ attribute starts from the given date (expressed as a Unix timestamp or an ISO 8601 date).",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "filter[updated_until]",
            "in": "query",
            "description": "Filter Sessions which ‘updated_at’ attribute ends with the given date (expressed as a Unix timestamp or an ISO 8601 date).",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "filter[include_breakout_rooms]",
            "in": "query",
            "description": "Filter Sessions depending upon if they are breakout room sessions or not",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "include",
            "in": "query",
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "enum": [
                  "event",
                  "people"
                ]
              }
            },
            "description": "Include Related Data",
            "required": false
          }
        ],
        "responses": {
          "200": {
            "description": "Fetch List",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "description": "Data",
                      "items": {
                        "allOf": [
                          {
                            "$ref": "#/components/schemas/BaseResponse"
                          },
                          {
                            "type": "object",
                            "properties": {
                              "attributes": {
                                "type": "object",
                                "description": "Attributes",
                                "properties": {
                                  "event_type_id": {
                                    "type": "string",
                                    "x-nullable": true,
                                    "description": ""
                                  },
                                  "status": {
                                    "type": "string",
                                    "x-nullable": false,
                                    "description": ""
                                  },
                                  "timezone": {
                                    "type": "string",
                                    "x-nullable": false,
                                    "description": ""
                                  },
                                  "name": {
                                    "type": "string",
                                    "x-nullable": false,
                                    "description": ""
                                  },
                                  "room_link": {
                                    "type": "string",
                                    "x-nullable": false,
                                    "description": ""
                                  },
                                  "attendees_count": {
                                    "type": "integer",
                                    "x-nullable": false,
                                    "description": ""
                                  },
                                  "duration": {
                                    "type": "integer",
                                    "x-nullable": true,
                                    "description": ""
                                  },
                                  "estimated_started_at": {
                                    "type": "integer",
                                    "x-nullable": false,
                                    "description": ""
                                  },
                                  "started_at": {
                                    "type": "integer",
                                    "x-nullable": true,
                                    "description": ""
                                  },
                                  "ended_at": {
                                    "type": "integer",
                                    "x-nullable": true,
                                    "description": ""
                                  },
                                  "canceled_at": {
                                    "type": "integer",
                                    "x-nullable": true,
                                    "description": ""
                                  },
                                  "created_at": {
                                    "type": "integer",
                                    "x-nullable": false,
                                    "description": ""
                                  },
                                  "updated_at": {
                                    "type": "integer",
                                    "x-nullable": false,
                                    "description": ""
                                  },
                                  "registrants_count": {
                                    "type": "integer",
                                    "x-nullable": true,
                                    "description": ""
                                  }
                                }
                              }
                            }
                          }
                        ]
                      }
                    },
                    "meta": {
                      "$ref": "#/components/schemas/Meta"
                    }
                  },
                  "required": [
                    "data"
                  ]
                },
                "examples": {
                  "application/vnd.api+json": {
                    "value": {
                      "data": [],
                      "meta": {
                        "current_page": 0,
                        "previous_page": null,
                        "next_page": null,
                        "record_count": 0,
                        "page_count": 0,
                        "items_per_page": 0
                      }
                    }
                  }
                }
              }
            },
            "headers": {
              "RateLimit-Monthly-Remaining": {
                "schema": {
                  "type": "integer"
                },
                "description": "The number of requests remaining for the current month"
              },
              "RateLimit-Monthly-Limit": {
                "schema": {
                  "type": "integer"
                },
                "description": "The number of allowed requests for the current month"
              },
              "RateLimit-Interval-Remaining": {
                "schema": {
                  "type": "integer"
                },
                "description": "The number of requests remaining for the current rate limit window (1 second)"
              },
              "RateLimit-Interval-Limit": {
                "schema": {
                  "type": "integer"
                },
                "description": "The number of allowed requests for the current period (1 second)"
              }
            }
          },
          "401": {
            "description": "Authentication failed",
            "content": {}
          },
          "403": {
            "description": "Workspace blocked",
            "content": {}
          },
          "404": {
            "description": "Event Not found",
            "content": {}
          },
          "429": {
            "description": "Too Many Requests",
            "content": {},
            "headers": {
              "RateLimit-Interval-Limit": {
                "schema": {
                  "type": "integer"
                },
                "description": "The number of allowed requests for the current period (1 second)"
              },
              "RateLimit-Interval-Remaining": {
                "schema": {
                  "type": "integer"
                },
                "description": "The number of remaining requests for the current period (1 second)"
              },
              "Retry-After": {
                "schema": {
                  "type": "integer"
                },
                "description": "The number of seconds you are required to wait before the next successful request"
              },
              "RateLimit-Reset": {
                "schema": {
                  "type": "integer"
                },
                "description": "A timestamp of when the limit will be reset"
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```